import request from "@/utils/request";

// 创建供应商模具对应原材信息
export function createSupplierMoulds(data) {
    return request({
        url: "/rtkwms/supplierMoulds/create",
        method: "post",
        data: data,
    });
}

// 更新供应商模具对应原材信息
export function updateSupplierMoulds(data) {
    return request({
        url: "/rtkwms/supplierMoulds/update",
        method: "put",
        data: data,
    });
}

// 删除供应商模具对应原材信息
export function deleteSupplierMoulds(id) {
    return request({
        url: "/rtkwms/supplierMoulds/delete?id=" + id,
        method: "delete",
    });
}

// 获得供应商模具对应原材信息
export function getSupplierMoulds(id) {
    return request({
        url: "/rtkwms/supplierMoulds/get?id=" + id,
        method: "get",
    });
}

// 获得供应商模具对应原材信息分页
export function getSupplierMouldsPage(params) {
    return request({
        url: "/rtkwms/supplierMoulds/page",
        method: "get",
        params,
    });
}
// 导出供应商模具对应原材信息 Excel
export function exportSupplierMouldsExcel(params) {
    return request({
        url: "/rtkwms/supplierMoulds/export-excel",
        method: "get",
        params,
        responseType: "blob",
    });
}